'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _AsyncComponent = require('../Common/AsyncComponent');

var _AsyncComponent2 = _interopRequireDefault(_AsyncComponent);

var _Timezone = require('../Timezone');

var _Timezone2 = _interopRequireDefault(_Timezone);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DialPlates = {
  12: (0, _AsyncComponent2.default)(function () {
    return System.import('./TwelveHoursMode').then(function (component) {
      return component.default;
    });
  }),
  24: (0, _AsyncComponent2.default)(function () {
    return System.import('./TwentyFourHoursMode').then(function (component) {
      return component.default;
    });
  })
};

var MaterialTheme = function MaterialTheme(props) {
  var phrases = props.phrases,
      timeMode = props.timeMode,
      timezone = props.timezone,
      showTimezone = props.showTimezone,
      onTimezoneChange = props.onTimezoneChange,
      timezoneIsEditable = props.timezoneIsEditable;


  var DialPlate = DialPlates[timeMode];
  return _react2.default.createElement(
    'div',
    { className: 'modal_container time_picker_modal_container', id: 'MaterialTheme' },
    _react2.default.createElement(DialPlate, props),
    showTimezone ? _react2.default.createElement(_Timezone2.default, {
      phrases: phrases,
      timezone: timezone,
      timezoneIsEditable: timezoneIsEditable,
      onTimezoneChange: onTimezoneChange
    }) : null
  );
};

exports.default = MaterialTheme;